Bug 246117 - Review Request: drawtiming - A command line tool for generating timing diagrams
Summary: Review Request: drawtiming - A command line tool for generating timing diagrams
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 241971 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-28 16:56 UTC by Chitlesh GOORAH
Modified: 2010-07-19 04:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-04 14:39:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chitlesh GOORAH 2007-06-28 16:56:16 UTC
Spec URL: http://tux.u-strasbg.fr/~chit/RPMS/drawtiming.spec
SRPM URL: http://tux.u-strasbg.fr/~chit/RPMS/drawtiming-0.6.2-1.src.rpm
Description:
A command line tool for generating timing diagrams from
ASCII input files. The input files use a structured language
to represent signal state transitions and interdependencies.
Raster image output support is provided by ImageMagick.
Build Log: http://tux.u-strasbg.fr/~chit/RPMS/build.log

Comment 1 Jason Tibbitts 2007-06-29 00:11:20 UTC
Not much to say; a simple, clean package.

Review:
* source files match upstream:
   db5b65121d5f2c27a3d65a22f9a9ea1699f6c6a923adff56b714ae6e276585f9  
   drawtiming-0.6.2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   drawtiming = 0.6.2-1.fc8
  =
   libICE.so.6()(64bit)
   libMagick++.so.10()(64bit)
   libMagick.so.10()(64bit)
   libSM.so.6()(64bit)
   libWand.so.10()(64bit)
   libX11.so.6()(64bit)
   libXext.so.6()(64bit)
   libXt.so.6()(64bit)
   libbz2.so.1()(64bit)
   libfontconfig.so.1()(64bit)
   libfreetype.so.6()(64bit)
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libjpeg.so.62()(64bit)
   liblcms.so.1()(64bit)
   libpthread.so.0()(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)
   libtiff.so.3()(64bit)
   libz.so.1()(64bit)
* %check is present and all tests pass:
   PASS: runsamples.sh
   ==================
   All 1 tests passed
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

Comment 2 Jason Tibbitts 2007-06-29 02:28:22 UTC
Drat, it seems this is a duplicate: see bug 241971.  I'm not sure what to do at
this point; could you communicate with the submitter of that ticket and work out
what you'd like to do?

Comment 3 Chitlesh GOORAH 2007-07-03 18:51:29 UTC
New Package CVS Request
=======================
Package Name: drawtiming
Short Description: A command line tool for generating timing diagrams
Owners: cgoorah@yahoo.com.au
Branches: FC-6 F-7 devel

Comment 4 Chitlesh GOORAH 2007-07-03 18:53:38 UTC
*** Bug 241971 has been marked as a duplicate of this bug. ***

Comment 5 Kevin Fenzi 2007-07-04 01:44:21 UTC
cvs done.

Comment 6 Chitlesh GOORAH 2010-07-18 10:33:31 UTC
New Package CVS Request
=======================
Package Name: drawtiming
Short Description: A command line tool for generating timing diagrams
Owners: chitlesh
Branches: EL-5 EL-6

Comment 7 Chitlesh GOORAH 2010-07-18 10:36:02 UTC
Package Change Request
=======================
Package Name: drawtiming
Short Description: A command line tool for generating timing diagrams
Owners: chitlesh
Branches: EL-5 EL-6

Comment 8 Kevin Fenzi 2010-07-19 04:30:53 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.